%define name shorewall
%define version 1.3.13
%define release 1.2.1

Summary:	Shoreline Firewall is an iptables-based firewall for Linux systems.
Name:		shorewall
Version:	1.3.13
Release:	1.5.1
License:	GPL
Group:		Networking/Utilities
Source0:	%{name}-%{version}.tar.gz
Patch00:	shorewall-1.3.13-1.2.1.patch
BuildArch:	i386
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires: 	ptables
Conflicts:	kernel <= 2.2

%description
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

%files 
  %defattr(-,root,root)
  %doc COPYING INSTALL changelog.txt releasenotes.txt tunnel
  %doc documentation

  %attr(0700,root,root)	%{_sysconfdir}/init.d/shorewall
  %attr(0500,root,root)	%{_root_sbindir}/shorewall

  %attr(0500,root,root) %{_libdir}/shorewall/firewall
  %attr(0400,root,root) %{_libdir}/shorewall/functions
  %attr(0400,root,root) %{_libdir}/shorewall/version

  %attr(0640,root,admin) %dir /etc/firewall/shorewall
  %attr(0640,root,admin) %dir /etc/firewall/shorewall/one-interface
  %attr(0640,root,admin) %dir /etc/firewall/shorewall/two-interfaces
  %attr(0640,root,admin) %dir /etc/firewall/shorewall/three-interfaces

  %attr(0640,root,admin)
  %config(noreplace) /etc/firewall/shorewall/shorewall.conf
  %config(noreplace) /etc/firewall/shorewall/zones
  %config(noreplace) /etc/firewall/shorewall/policy
  %config(noreplace) /etc/firewall/shorewall/interfaces
  %config(noreplace) /etc/firewall/shorewall/rules
  %config(noreplace) /etc/firewall/shorewall/nat
  %config(noreplace) /etc/firewall/shorewall/params
  %config(noreplace) /etc/firewall/shorewall/proxyarp
  %config(noreplace) /etc/firewall/shorewall/routestopped
  %config(noreplace) /etc/firewall/shorewall/maclist
  %config(noreplace) /etc/firewall/shorewall/masq
  %config(noreplace) /etc/firewall/shorewall/modules
  %config(noreplace) /etc/firewall/shorewall/tcrules
  %config(noreplace) /etc/firewall/shorewall/tos
  %config(noreplace) /etc/firewall/shorewall/tunnels
  %config(noreplace) /etc/firewall/shorewall/hosts
  %config(noreplace) /etc/firewall/shorewall/blacklist
  %config(noreplace) /etc/firewall/shorewall/rfc1918
  %config(noreplace) /etc/firewall/shorewall/init
  %config(noreplace) /etc/firewall/shorewall/start
  %config(noreplace) /etc/firewall/shorewall/stop
  %config(noreplace) /etc/firewall/shorewall/stopped

  /etc/firewall/shorewall/common.def
  /etc/firewall/shorewall/icmp.def
  /etc/firewall/shorewall/one-interface/common
  /etc/firewall/shorewall/one-interface/interfaces
  /etc/firewall/shorewall/one-interface/policy
  /etc/firewall/shorewall/one-interface/zones
  /etc/firewall/shorewall/one-interface/shorewall.conf
  /etc/firewall/shorewall/two-interfaces/common
  /etc/firewall/shorewall/two-interfaces/interfaces
  /etc/firewall/shorewall/two-interfaces/policy
  /etc/firewall/shorewall/two-interfaces/zones
  /etc/firewall/shorewall/two-interfaces/masq
  /etc/firewall/shorewall/two-interfaces/routestopped
  /etc/firewall/shorewall/two-interfaces/rules
  /etc/firewall/shorewall/three-interfaces/common
  /etc/firewall/shorewall/three-interfaces/interfaces
  /etc/firewall/shorewall/three-interfaces/policy
  /etc/firewall/shorewall/three-interfaces/zones
  /etc/firewall/shorewall/three-interfaces/masq
  /etc/firewall/shorewall/three-interfaces/routestopped
  /etc/firewall/shorewall/three-interfaces/rules

%prep
%setup -q
%patch0 -p1
%build

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export PREFIX=$RPM_BUILD_ROOT
  export OWNER=`id -n -u`
  export GROUP=admin
  ./install.sh /etc/init.d

  cp -ar one-interface/* $RPM_BUILD_ROOT/etc/firewall/shorewall/one-interface/
  cp -ar two-interfaces/* $RPM_BUILD_ROOT/etc/firewall/shorewall/two-interfaces/
  cp -ar three-interfaces/* $RPM_BUILD_ROOT/etc/firewall/shorewall/three-interfaces/

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
  if [ $1 -eq 1 ]; then
    	echo \
"########################################################################
#      REMOVE THIS FILE AFTER YOU HAVE CONFIGURED SHOREWALL            #
########################################################################" \
	> /etc/firewall/shorewall/startup_disabled

	if [ -x /sbin/insserv ]; then 
		/sbin/insserv /etc/rc.d/shorewall
	elif [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --add shorewall; 
	fi
  fi

  echo "Shorewall will not start unless it is configured AND the 'startup_disabled'"
  echo "file is removed.  If shorewall does not start, you may get locked out of your"
  echo "machine."

%preun
  if [ $1 = 0 ]; then
    /sbin/chkconfig --del shorewall
    rm -f /etc/firewall/shorewall/startup_disabled
  fi

%changelog
* Wed Feb 04 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.13, Release 1.5.1
  - Initial build for EnGarde.  Based on Eric's original package.
